package com.actifsource.example.generic.javamodel;

import java.util.List;
import java.util.Map;
import ch.actifsource.util.collection.IMultiMapOrdered;
import ch.actifsource.core.dynamic.*;

@SuppressWarnings("unused")
@edu.umd.cs.findbugs.annotations.SuppressWarnings("EQ_DOESNT_OVERRIDE_EQUALS")
public class Attribute extends DynamicActifsourceResource implements IAttribute {

  private java.lang.String fName;
  
  public Attribute() {}
  
  public Attribute(IDynamicResourceRepository resourceRepository, ch.actifsource.core.Resource resource) {
    super(resourceRepository, resource);
  }

  // attributes
  
  @Override
  public java.lang.String selectName() {
    return fName;
  }
    
  public void setName(java.lang.String name) {
    fName = name;
  }

  // relations
  
  @Override
  public com.actifsource.example.generic.javamodel.IType selectType() {
    return _getSingle(com.actifsource.example.generic.javamodel.IType.class, com.actifsource.example.generic.GenericPackage.Attribute_type);
  }
  
  @Override
  public ch.actifsource.core.javamodel.IClass selectTypeOf() {
    return _getSingle(ch.actifsource.core.javamodel.IClass.class, ch.actifsource.core.CorePackage.Resource_typeOf);
  }
  
  // toMeRelations
  
  public static List<com.actifsource.example.generic.javamodel.IAttribute> selectToMeType(com.actifsource.example.generic.javamodel.IType object) {
    return _getToMeList(object.getRepository(), com.actifsource.example.generic.javamodel.IAttribute.class, com.actifsource.example.generic.GenericPackage.Attribute_type, object.getResource());
  }
  
}
/* Actifsource ID=[4d723cb5-db37-11de-82b8-17be2e034a3b,589222e9-a9c1-11e1-8de3-0bfd42052bd1,589222e9-a9c1-11e1-8de3-0bfd42052bd1,dYAyxRPJcwv2NKLEehHc0guki/k=] */
