package com.actifsource.example.generic.javamodel;

import java.util.List;
import java.util.Map;
import ch.actifsource.util.collection.IMultiMapOrdered;
import ch.actifsource.core.dynamic.*;

@SuppressWarnings("unused")
@edu.umd.cs.findbugs.annotations.SuppressWarnings("EQ_DOESNT_OVERRIDE_EQUALS")
public class Entity extends DynamicActifsourceResource implements IEntity {

  private java.lang.String fName;
  
  public Entity() {}
  
  public Entity(IDynamicResourceRepository resourceRepository, ch.actifsource.core.Resource resource) {
    super(resourceRepository, resource);
  }

  // attributes
  
  @Override
  public java.lang.String selectName() {
    return fName;
  }
    
  public void setName(java.lang.String name) {
    fName = name;
  }

  // relations
  
  @Override
  public List<? extends com.actifsource.example.generic.javamodel.IAttribute> selectAttribute() {
    return _getList(com.actifsource.example.generic.javamodel.IAttribute.class, com.actifsource.example.generic.GenericPackage.Entity_attribute);
  }
  
  @Override
  public com.actifsource.example.generic.javamodel.IEntity selectExtends() {
    return _getSingle(com.actifsource.example.generic.javamodel.IEntity.class, com.actifsource.example.generic.GenericPackage.Entity_extends);
  }
  
  @Override
  public ch.actifsource.core.javamodel.IClass selectTypeOf() {
    return _getSingle(ch.actifsource.core.javamodel.IClass.class, ch.actifsource.core.CorePackage.Resource_typeOf);
  }
  
  // toMeRelations
  
  public static List<com.actifsource.example.generic.javamodel.IEntity> selectToMeExtends(com.actifsource.example.generic.javamodel.IEntity object) {
    return _getToMeList(object.getRepository(), com.actifsource.example.generic.javamodel.IEntity.class, com.actifsource.example.generic.GenericPackage.Entity_extends, object.getResource());
  }
  
  public static com.actifsource.example.generic.javamodel.IEntity selectToMeAttribute(com.actifsource.example.generic.javamodel.IAttribute object) {
    return _getToMeSingle(object.getRepository(), com.actifsource.example.generic.javamodel.IEntity.class, com.actifsource.example.generic.GenericPackage.Entity_attribute, object.getResource());
  }
  
}
/* Actifsource ID=[4d723cb5-db37-11de-82b8-17be2e034a3b,53753d85-a9c1-11e1-8de3-0bfd42052bd1,53753d85-a9c1-11e1-8de3-0bfd42052bd1,cg2VRJBA1JCGPOS6oB/GTk/0C0k=] */
